"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkRoles = void 0;
const common_1 = require("@nestjs/common");
function checkRoles(requiredRoles, role) {
    // handler is allowed only for not authorized
    if (requiredRoles[0] === false) {
        // but there is some role
        if (role) {
            throw new common_1.ForbiddenException();
        }
        return true;
    }
    // handler is allowed for any authorized
    if (requiredRoles[0] === true) {
        // but there is not any role
        if (!role) {
            throw new common_1.UnauthorizedException();
        }
        return true;
    }
    // handler is allowed for certain roles
    // there is no any role
    if (!role) {
        throw new common_1.UnauthorizedException();
    }
    // role is not one of requireds
    if (!requiredRoles.includes(role)) {
        throw new common_1.ForbiddenException();
    }
    return true;
}
exports.checkRoles = checkRoles;
//# sourceMappingURL=check-roles.js.map